# Set boostrap to 1 for initial bootstrapping when gtk3 is not yet built
%global bootstrap 0

Name:           adwaita-icon-theme
Version:        3.16.2.1
Release:        2%{?dist}
Summary:        Adwaita icon theme

License:        LGPLv3+ or CC-BY-SA
URL:            http://www.gnome.org
Source0:        http://download.gnome.org/sources/adwaita-icon-theme/3.16/%{name}-%{version}.tar.xz

BuildArch:      noarch

# backport from 3-18 branch
Patch1: 0001-cursors-provide-KDE-names.patch

BuildRequires:  intltool
BuildRequires:  librsvg2
%if ! 0%{bootstrap}
BuildRequires:  /usr/bin/gtk-encode-symbolic-svg
%endif

Requires:       adwaita-cursor-theme = %{version}-%{release}

%description
This package contains the Adwaita icon theme used by the GNOME desktop.

%package -n     adwaita-cursor-theme
Summary:        Adwaita cursor theme

%description -n adwaita-cursor-theme
The adwaita-cursor-theme package contains a modern set of cursors originally
designed for the GNOME desktop.

%package        devel
Summary:        Development files for %{name}
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains the pkgconfig file for
developing applications that use %{name}.

%prep
%setup -q

%patch1 -p1

%build
%configure
make %{?_smp_mflags}

%install
%make_install

touch $RPM_BUILD_ROOT%{_datadir}/icons/Adwaita/icon-theme.cache

%check
# ensure (some) cursor from patch1 landed in package payload
test -f $RPM_BUILD_ROOT%{_datadir}/icons/Adwaita/cursors/size_all

%post
touch --no-create %{_datadir}/icons/Adwaita &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/Adwaita &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/Adwaita &>/dev/null || :

%files
%license COPYING*
%dir %{_datadir}/icons/Adwaita/
%{_datadir}/icons/Adwaita/8x8/
%{_datadir}/icons/Adwaita/16x16/
%{_datadir}/icons/Adwaita/22x22/
%{_datadir}/icons/Adwaita/24x24/
%{_datadir}/icons/Adwaita/32x32/
%{_datadir}/icons/Adwaita/48x48/
%if ! 0%{bootstrap}
%{_datadir}/icons/Adwaita/64x64/
%{_datadir}/icons/Adwaita/96x96/
%endif
%{_datadir}/icons/Adwaita/256x256/
%{_datadir}/icons/Adwaita/scalable/
%{_datadir}/icons/Adwaita/scalable-up-to-32/
%{_datadir}/icons/Adwaita/index.theme
%ghost %{_datadir}/icons/Adwaita/icon-theme.cache

%files -n adwaita-cursor-theme
%license COPYING*
%dir %{_datadir}/icons/Adwaita/
%{_datadir}/icons/Adwaita/cursors/

%files devel
%{_datadir}/pkgconfig/adwaita-icon-theme.pc

%changelog
* Sat Oct 31 2015 Rex Dieter <rdieter@fedoraproject.org> 3.16.2.1-2
- backport cursors: provide KDE names (gnome#753219,#1249768)

* Tue May 12 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.2.1-1
- Update to 3.16.2.1
- Use license macro for COPYING files

* Tue Mar 24 2015 Kalev Lember <kalevlember@gmail.com> - 3.16.0-1
- Update to 3.16.0

* Fri Mar 20 2015 MAtthias Clasen <mclasen@redhat.com> - 3.15.92-1
- Update to 3.15.92

* Tue Mar 03 2015 Rex Dieter <rdieter@fedoraproject.org> 3.15.90-2
- own %%{_datadir}/icons/Adwaita/

* Fri Feb 13 2015 Richard Hughes <rhughes@redhat.com> - 3.15.90-1
- Update to 3.15.90

* Thu Oct 30 2014 Richard Hughes <rhughes@redhat.com> - 3.15.1-1
- Update to 3.15.1

* Tue Oct 28 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-3
- Split out adwaita-cursor-theme subpackage for alternate desktop spins
  (#1157324)

* Tue Oct 28 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-2
- Add bootstrap toggle for initial boostrapping when gtk3 is not yet built

* Tue Sep 23 2014 Kalev Lember <kalevlember@gmail.com> - 3.14.0-1
- Update to 3.14.0

* Tue Sep 02 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.91-1
- Update to 3.13.91

* Sun Aug 17 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.5-1
- Update to 3.13.5

* Mon Jul 14 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.4-1
- Update to 3.13.4

* Thu Jun 26 2014 Richard Hughes <rhughes@redhat.com> - 3.13.3-1
- Update to 3.13.3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.13.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jun 02 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.2-1
- Update to 3.13.2

* Wed May 07 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.1-2
- Replace adwaita-cursor-theme subpackage from gnome-themes-standard

* Mon Apr 28 2014 Kalev Lember <kalevlember@gmail.com> - 3.13.1-1
- Initial Fedora packaging
